AI

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • user

  • user_count

  • userExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • user_id

  • type

  • status

  • reported

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • created_at

  • updated_at

  • status

  • type

  • reported

Authorizations
Responses
chevron-right
200

Successful response

application/json
get
/api/v1/ai/conversations

Generate

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

userPrompt

string

examplePayload

string

language

Authorizations
Body
userPromptstringRequired
examplePayloadstringOptional
languagestringOptional
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/ai/scripts/generate

Reply

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

userReply

string

Authorizations
Path parameters
conversationUlidstringRequired

The conversationUlid identifier.

Body
userReplystringRequired
Responses
chevron-right
200

Successful response

application/json
objectOptional
post
/api/v1/ai/scripts/{conversationUlid}/reply

End

patch

End for end.

Authorizations
Path parameters
conversationUlidstringRequired

The conversationUlid identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
patch
/api/v1/ai/{conversationUlid}/end

Report

patch

Report for report.

Authorizations
Path parameters
conversationUlidstringRequired

The conversationUlid identifier.

Responses
chevron-right
200

Successful response

application/json
objectOptional
patch
/api/v1/ai/{conversationUlid}/report

Last updated

Was this helpful?